
#import "b4i_b4xcache.h"
#import "b4i_main.h"
#import "b4i_b4xmainpage.h"
#import "b4i_b4xpages.h"
#import "b4i_b4xbitset.h"
#import "b4i_b4xbytesbuilder.h"
#import "b4i_b4xcollections.h"
#import "b4i_b4xcomparatorsort.h"
#import "b4i_b4xorderedmap.h"
#import "b4i_b4xset.h"
#import "b4i_b4xpagesdelegator.h"
#import "b4i_b4xpagesmanager.h"

@implementation _b4xcacheitem
-(void)Initialize{
self.IsInitialized = true;
self->_Value = [NSObject new];
self->_LastAccessedTime = 0L;
self->_Key = @"";
self->_Eternal = false;
}
- (NSString*)description {
return [B4I TypeToString:self :false];}
@end

@implementation b4i_b4xcache 


+ (B4I*)createBI {
    return [B4IShellBI alloc];
}

- (void)dealloc {
    if (self.bi != nil)
        NSLog(@"Class (b4i_b4xcache) instance released.");
}

- (NSString*)  _class_globals:(b4i_b4xcache*) __ref{
__ref = self;
self->__main=[b4i_main new];
self->__b4xpages=[b4i_b4xpages new];
self->__b4xcollections=[b4i_b4xcollections new];
B4IRDebugUtils.currentModule=@"b4xcache";
B4IRDebugUtils.currentLine=2883584;
 //BA.debugLineNum = 2883584;BA.debugLine="Sub Class_Globals";
B4IRDebugUtils.currentLine=2883585;
 //BA.debugLineNum = 2883585;BA.debugLine="Type B4XCacheItem (Value As Object, LastAccessedT";
;
B4IRDebugUtils.currentLine=2883586;
 //BA.debugLineNum = 2883586;BA.debugLine="Private Data As B4XOrderedMap";
self->__data = [b4i_b4xorderedmap new];
B4IRDebugUtils.currentLine=2883587;
 //BA.debugLineNum = 2883587;BA.debugLine="Private mMaxSize As Int = 100";
self->__mmaxsize = (int) (100);
B4IRDebugUtils.currentLine=2883588;
 //BA.debugLineNum = 2883588;BA.debugLine="Private RemoveThreshold As Float = 0.3";
self->__removethreshold = (float) (0.3);
B4IRDebugUtils.currentLine=2883589;
 //BA.debugLineNum = 2883589;BA.debugLine="Private EternalCounts As Int";
self->__eternalcounts = 0;
B4IRDebugUtils.currentLine=2883590;
 //BA.debugLineNum = 2883590;BA.debugLine="End Sub";
return @"";
}
- (BOOL)  _containskey:(b4i_b4xcache*) __ref :(NSString*) _key{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"containskey"])
	 {return ((NSNumber*) [B4IDebug delegate:self.bi :@"containskey:" :@[[B4I nilToNSNull:_key]]]).boolValue;}
B4IRDebugUtils.currentLine=3473408;
 //BA.debugLineNum = 3473408;BA.debugLine="Public Sub ContainsKey(Key As String) As Boolean";
B4IRDebugUtils.currentLine=3473409;
 //BA.debugLineNum = 3473409;BA.debugLine="Return Data.ContainsKey(Key)";
if (true) return [__ref->__data /*b4i_b4xorderedmap**/  _containskey /*BOOL*/ :nil :(NSObject*)(_key)];
B4IRDebugUtils.currentLine=3473410;
 //BA.debugLineNum = 3473410;BA.debugLine="End Sub";
return false;
}
- (_b4xcacheitem*)  _createb4xcacheitem:(b4i_b4xcache*) __ref :(NSObject*) _value :(NSString*) _key{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"createb4xcacheitem"])
	 {return ((_b4xcacheitem*) [B4IDebug delegate:self.bi :@"createb4xcacheitem::" :@[[B4I nilToNSNull:_value],[B4I nilToNSNull:_key]]]);}
_b4xcacheitem* _t1 = nil;
B4IRDebugUtils.currentLine=3801088;
 //BA.debugLineNum = 3801088;BA.debugLine="Private Sub CreateB4XCacheItem (Value As Object, K";
B4IRDebugUtils.currentLine=3801089;
 //BA.debugLineNum = 3801089;BA.debugLine="Dim t1 As B4XCacheItem";
_t1 = [_b4xcacheitem new];
B4IRDebugUtils.currentLine=3801090;
 //BA.debugLineNum = 3801090;BA.debugLine="t1.Initialize";
[_t1 Initialize];
B4IRDebugUtils.currentLine=3801091;
 //BA.debugLineNum = 3801091;BA.debugLine="t1.Value = Value";
_t1->_Value /*NSObject**/  = _value;
B4IRDebugUtils.currentLine=3801092;
 //BA.debugLineNum = 3801092;BA.debugLine="t1.LastAccessedTime = DateTime.Now";
_t1->_LastAccessedTime /*long long*/  = [[self->___c DateTime] Now];
B4IRDebugUtils.currentLine=3801093;
 //BA.debugLineNum = 3801093;BA.debugLine="t1.Key = Key";
_t1->_Key /*NSString**/  = _key;
B4IRDebugUtils.currentLine=3801094;
 //BA.debugLineNum = 3801094;BA.debugLine="Return t1";
if (true) return _t1;
B4IRDebugUtils.currentLine=3801095;
 //BA.debugLineNum = 3801095;BA.debugLine="End Sub";
return nil;
}
- (NSObject*)  _get:(b4i_b4xcache*) __ref :(NSString*) _key{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"get"])
	 {return ((NSObject*) [B4IDebug delegate:self.bi :@"get:" :@[[B4I nilToNSNull:_key]]]);}
_b4xcacheitem* _ci = nil;
B4IRDebugUtils.currentLine=3145728;
 //BA.debugLineNum = 3145728;BA.debugLine="Public Sub Get (Key As String) As Object";
B4IRDebugUtils.currentLine=3145729;
 //BA.debugLineNum = 3145729;BA.debugLine="Dim ci As B4XCacheItem = Data.Get(Key)";
_ci = (_b4xcacheitem*)([__ref->__data /*b4i_b4xorderedmap**/  _get /*NSObject**/ :nil :(NSObject*)(_key)]);
B4IRDebugUtils.currentLine=3145730;
 //BA.debugLineNum = 3145730;BA.debugLine="If ci <> Null Then";
if (_ci!= nil) { 
B4IRDebugUtils.currentLine=3145731;
 //BA.debugLineNum = 3145731;BA.debugLine="If ci.Eternal = False Then ci.LastAccessedTime =";
if (_ci->_Eternal /*BOOL*/ ==false) { 
_ci->_LastAccessedTime /*long long*/  = [[self->___c DateTime] Now];};
B4IRDebugUtils.currentLine=3145732;
 //BA.debugLineNum = 3145732;BA.debugLine="Return ci.Value";
if (true) return _ci->_Value /*NSObject**/ ;
 };
B4IRDebugUtils.currentLine=3145734;
 //BA.debugLineNum = 3145734;BA.debugLine="Return Null";
if (true) return nil;
B4IRDebugUtils.currentLine=3145735;
 //BA.debugLineNum = 3145735;BA.debugLine="End Sub";
return nil;
}
- (int)  _getmaxsize:(b4i_b4xcache*) __ref{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"getmaxsize"])
	 {return ((NSNumber*) [B4IDebug delegate:self.bi :@"getmaxsize" :nil]).intValue;}
B4IRDebugUtils.currentLine=3080192;
 //BA.debugLineNum = 3080192;BA.debugLine="Public Sub getMaxSize As Int";
B4IRDebugUtils.currentLine=3080193;
 //BA.debugLineNum = 3080193;BA.debugLine="Return mMaxSize";
if (true) return __ref->__mmaxsize /*int*/ ;
B4IRDebugUtils.currentLine=3080194;
 //BA.debugLineNum = 3080194;BA.debugLine="End Sub";
return 0;
}
- (NSString*)  _initialize:(b4i_b4xcache*) __ref :(B4I*) _ba{
__ref = self;
[self initializeClassModule];
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"initialize"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"initialize:" :@[[B4I nilToNSNull:_ba]]]);}
B4IRDebugUtils.currentLine=2949120;
 //BA.debugLineNum = 2949120;BA.debugLine="Public Sub Initialize";
B4IRDebugUtils.currentLine=2949121;
 //BA.debugLineNum = 2949121;BA.debugLine="Data.Initialize";
[__ref->__data /*b4i_b4xorderedmap**/  _initialize /*NSString**/ :nil :self.bi];
B4IRDebugUtils.currentLine=2949122;
 //BA.debugLineNum = 2949122;BA.debugLine="End Sub";
return @"";
}
- (BOOL)  _iseternal:(b4i_b4xcache*) __ref :(NSString*) _key{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"iseternal"])
	 {return ((NSNumber*) [B4IDebug delegate:self.bi :@"iseternal:" :@[[B4I nilToNSNull:_key]]]).boolValue;}
_b4xcacheitem* _ci = nil;
B4IRDebugUtils.currentLine=3407872;
 //BA.debugLineNum = 3407872;BA.debugLine="Private Sub IsEternal(Key As String) As Boolean";
B4IRDebugUtils.currentLine=3407873;
 //BA.debugLineNum = 3407873;BA.debugLine="Dim ci As B4XCacheItem = Data.Get(Key)";
_ci = (_b4xcacheitem*)([__ref->__data /*b4i_b4xorderedmap**/  _get /*NSObject**/ :nil :(NSObject*)(_key)]);
B4IRDebugUtils.currentLine=3407874;
 //BA.debugLineNum = 3407874;BA.debugLine="Return IIf(ci = Null, False, ci.Eternal)";
if (true) return [self.bi ObjectToBoolean:((_ci== nil) ? ((NSObject*)(@(false))) : ((NSObject*)(@(_ci->_Eternal /*BOOL*/ ))))];
B4IRDebugUtils.currentLine=3407875;
 //BA.debugLineNum = 3407875;BA.debugLine="End Sub";
return false;
}
- (B4IList*)  _keys:(b4i_b4xcache*) __ref{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"keys"])
	 {return ((B4IList*) [B4IDebug delegate:self.bi :@"keys" :nil]);}
B4IRDebugUtils.currentLine=3735552;
 //BA.debugLineNum = 3735552;BA.debugLine="Public Sub Keys As List";
B4IRDebugUtils.currentLine=3735553;
 //BA.debugLineNum = 3735553;BA.debugLine="Return Data.Keys";
if (true) return [__ref->__data /*b4i_b4xorderedmap**/  _getkeys /*B4IList**/ :nil];
B4IRDebugUtils.currentLine=3735554;
 //BA.debugLineNum = 3735554;BA.debugLine="End Sub";
return nil;
}
- (NSObject*)  _put:(b4i_b4xcache*) __ref :(NSString*) _key :(NSObject*) _value{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"put"])
	 {return ((NSObject*) [B4IDebug delegate:self.bi :@"put::" :@[[B4I nilToNSNull:_key],[B4I nilToNSNull:_value]]]);}
B4IRDebugUtils.currentLine=3211264;
 //BA.debugLineNum = 3211264;BA.debugLine="Public Sub Put (Key As String, Value As Object) As";
B4IRDebugUtils.currentLine=3211265;
 //BA.debugLineNum = 3211265;BA.debugLine="If IsEternal(Key) Then EternalCounts = EternalCou";
if ([__ref _iseternal /*BOOL*/ :nil :_key]) { 
__ref->__eternalcounts /*int*/  = (int) (__ref->__eternalcounts /*int*/ -1);};
B4IRDebugUtils.currentLine=3211266;
 //BA.debugLineNum = 3211266;BA.debugLine="Data.Put(Key, CreateB4XCacheItem(Value, Key))";
[__ref->__data /*b4i_b4xorderedmap**/  _put /*NSString**/ :nil :(NSObject*)(_key) :(NSObject*)([__ref _createb4xcacheitem /*_b4xcacheitem**/ :nil :_value :_key])];
B4IRDebugUtils.currentLine=3211267;
 //BA.debugLineNum = 3211267;BA.debugLine="TrimIfOversize";
[__ref _trimifoversize /*NSString**/ :nil];
B4IRDebugUtils.currentLine=3211268;
 //BA.debugLineNum = 3211268;BA.debugLine="Return Value";
if (true) return _value;
B4IRDebugUtils.currentLine=3211269;
 //BA.debugLineNum = 3211269;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _trimifoversize:(b4i_b4xcache*) __ref{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"trimifoversize"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"trimifoversize" :nil]);}
B4IList* _values = nil;
int _numberofitemstoremove = 0;
int _i = 0;
B4IRDebugUtils.currentLine=3538944;
 //BA.debugLineNum = 3538944;BA.debugLine="Private Sub TrimIfOversize";
B4IRDebugUtils.currentLine=3538945;
 //BA.debugLineNum = 3538945;BA.debugLine="If Data.Size - EternalCounts > mMaxSize Then";
if ([__ref->__data /*b4i_b4xorderedmap**/  _getsize /*int*/ :nil]-__ref->__eternalcounts /*int*/ >__ref->__mmaxsize /*int*/ ) { 
B4IRDebugUtils.currentLine=3538946;
 //BA.debugLineNum = 3538946;BA.debugLine="Dim values As List = Data.Values";
_values = [B4IList new];
_values = [__ref->__data /*b4i_b4xorderedmap**/  _getvalues /*B4IList**/ :nil];
B4IRDebugUtils.currentLine=3538947;
 //BA.debugLineNum = 3538947;BA.debugLine="values.SortType(\"LastAccessedTime\", True)";
[_values SortType:@"LastAccessedTime" :true];
B4IRDebugUtils.currentLine=3538948;
 //BA.debugLineNum = 3538948;BA.debugLine="Dim NumberOfItemsToRemove As Int = Ceil(mMaxSize";
_numberofitemstoremove = (int) (ceil(__ref->__mmaxsize /*int*/ *__ref->__removethreshold /*float*/ ));
B4IRDebugUtils.currentLine=3538949;
 //BA.debugLineNum = 3538949;BA.debugLine="For i = 0 To NumberOfItemsToRemove";
{
const int step5 = 1;
const int limit5 = _numberofitemstoremove;
_i = (int) (0) ;
for (;_i <= limit5 ;_i = _i + step5 ) {
B4IRDebugUtils.currentLine=3538950;
 //BA.debugLineNum = 3538950;BA.debugLine="Data.Remove(values.Get(i).As(B4XCacheItem).Key)";
[__ref->__data /*b4i_b4xorderedmap**/  _remove /*NSString**/ :nil :(NSObject*)(((_b4xcacheitem*)([_values Get:_i]))->_Key /*NSString**/ )];
 }
};
 };
B4IRDebugUtils.currentLine=3538953;
 //BA.debugLineNum = 3538953;BA.debugLine="End Sub";
return @"";
}
- (NSObject*)  _puteternal:(b4i_b4xcache*) __ref :(NSString*) _key :(NSObject*) _value{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"puteternal"])
	 {return ((NSObject*) [B4IDebug delegate:self.bi :@"puteternal::" :@[[B4I nilToNSNull:_key],[B4I nilToNSNull:_value]]]);}
_b4xcacheitem* _ci = nil;
B4IRDebugUtils.currentLine=3276800;
 //BA.debugLineNum = 3276800;BA.debugLine="Public Sub PutEternal (Key As String, Value As Obj";
B4IRDebugUtils.currentLine=3276801;
 //BA.debugLineNum = 3276801;BA.debugLine="If IsEternal(Key) Then EternalCounts = EternalCou";
if ([__ref _iseternal /*BOOL*/ :nil :_key]) { 
__ref->__eternalcounts /*int*/  = (int) (__ref->__eternalcounts /*int*/ -1);};
B4IRDebugUtils.currentLine=3276802;
 //BA.debugLineNum = 3276802;BA.debugLine="Dim ci As B4XCacheItem = CreateB4XCacheItem(Value";
_ci = [__ref _createb4xcacheitem /*_b4xcacheitem**/ :nil :_value :_key];
B4IRDebugUtils.currentLine=3276803;
 //BA.debugLineNum = 3276803;BA.debugLine="ci.Eternal = True";
_ci->_Eternal /*BOOL*/  = true;
B4IRDebugUtils.currentLine=3276804;
 //BA.debugLineNum = 3276804;BA.debugLine="ci.LastAccessedTime = 9223372036854775807";
_ci->_LastAccessedTime /*long long*/  = (long long) (9223372036854775807L);
B4IRDebugUtils.currentLine=3276805;
 //BA.debugLineNum = 3276805;BA.debugLine="EternalCounts = EternalCounts + 1";
__ref->__eternalcounts /*int*/  = (int) (__ref->__eternalcounts /*int*/ +1);
B4IRDebugUtils.currentLine=3276806;
 //BA.debugLineNum = 3276806;BA.debugLine="Data.Put(Key, ci)";
[__ref->__data /*b4i_b4xorderedmap**/  _put /*NSString**/ :nil :(NSObject*)(_key) :(NSObject*)(_ci)];
B4IRDebugUtils.currentLine=3276807;
 //BA.debugLineNum = 3276807;BA.debugLine="Return Value";
if (true) return _value;
B4IRDebugUtils.currentLine=3276808;
 //BA.debugLineNum = 3276808;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _remove:(b4i_b4xcache*) __ref :(NSString*) _key{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"remove"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"remove:" :@[[B4I nilToNSNull:_key]]]);}
B4IRDebugUtils.currentLine=3342336;
 //BA.debugLineNum = 3342336;BA.debugLine="Public Sub Remove (Key As String)";
B4IRDebugUtils.currentLine=3342337;
 //BA.debugLineNum = 3342337;BA.debugLine="If IsEternal(Key) Then EternalCounts = EternalCou";
if ([__ref _iseternal /*BOOL*/ :nil :_key]) { 
__ref->__eternalcounts /*int*/  = (int) (__ref->__eternalcounts /*int*/ -1);};
B4IRDebugUtils.currentLine=3342338;
 //BA.debugLineNum = 3342338;BA.debugLine="Data.Remove(Key)";
[__ref->__data /*b4i_b4xorderedmap**/  _remove /*NSString**/ :nil :(NSObject*)(_key)];
B4IRDebugUtils.currentLine=3342339;
 //BA.debugLineNum = 3342339;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _removeolditems:(b4i_b4xcache*) __ref :(long long) _agems{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"removeolditems"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"removeolditems:" :@[@(_agems)]]);}
B4IList* _values = nil;
long long _level = 0L;
_b4xcacheitem* _ci = nil;
B4IRDebugUtils.currentLine=3604480;
 //BA.debugLineNum = 3604480;BA.debugLine="Public Sub RemoveOldItems (AgeMs As Long)";
B4IRDebugUtils.currentLine=3604481;
 //BA.debugLineNum = 3604481;BA.debugLine="Dim values As List = Data.Values";
_values = [B4IList new];
_values = [__ref->__data /*b4i_b4xorderedmap**/  _getvalues /*B4IList**/ :nil];
B4IRDebugUtils.currentLine=3604482;
 //BA.debugLineNum = 3604482;BA.debugLine="Dim level As Long = DateTime.Now - AgeMs";
_level = (long long) ([[self->___c DateTime] Now]-_agems);
B4IRDebugUtils.currentLine=3604483;
 //BA.debugLineNum = 3604483;BA.debugLine="For Each ci As B4XCacheItem In values";
{
const id<B4IIterable> group3 = _values;
const int groupLen3 = group3.Size
;int index3 = 0;
;
for (; index3 < groupLen3;index3++){
_ci = (_b4xcacheitem*)([group3 Get:index3]);
B4IRDebugUtils.currentLine=3604484;
 //BA.debugLineNum = 3604484;BA.debugLine="If ci.LastAccessedTime <= level Then";
if (_ci->_LastAccessedTime /*long long*/ <=_level) { 
B4IRDebugUtils.currentLine=3604485;
 //BA.debugLineNum = 3604485;BA.debugLine="Data.Remove(ci.Key)";
[__ref->__data /*b4i_b4xorderedmap**/  _remove /*NSString**/ :nil :(NSObject*)(_ci->_Key /*NSString**/ )];
 };
 }
};
B4IRDebugUtils.currentLine=3604488;
 //BA.debugLineNum = 3604488;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _setmaxsize:(b4i_b4xcache*) __ref :(int) _s{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"setmaxsize"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"setmaxsize:" :@[@(_s)]]);}
B4IRDebugUtils.currentLine=3014656;
 //BA.debugLineNum = 3014656;BA.debugLine="Public Sub setMaxSize(s As Int)";
B4IRDebugUtils.currentLine=3014657;
 //BA.debugLineNum = 3014657;BA.debugLine="mMaxSize = s";
__ref->__mmaxsize /*int*/  = _s;
B4IRDebugUtils.currentLine=3014658;
 //BA.debugLineNum = 3014658;BA.debugLine="TrimIfOversize";
[__ref _trimifoversize /*NSString**/ :nil];
B4IRDebugUtils.currentLine=3014659;
 //BA.debugLineNum = 3014659;BA.debugLine="End Sub";
return @"";
}
- (int)  _size:(b4i_b4xcache*) __ref{
__ref = self;
B4IRDebugUtils.currentModule=@"b4xcache";
if ([B4IDebug shouldDelegate: @"size"])
	 {return ((NSNumber*) [B4IDebug delegate:self.bi :@"size" :nil]).intValue;}
B4IRDebugUtils.currentLine=3670016;
 //BA.debugLineNum = 3670016;BA.debugLine="Public Sub Size As Int";
B4IRDebugUtils.currentLine=3670017;
 //BA.debugLineNum = 3670017;BA.debugLine="Return Data.Size";
if (true) return [__ref->__data /*b4i_b4xorderedmap**/  _getsize /*int*/ :nil];
B4IRDebugUtils.currentLine=3670018;
 //BA.debugLineNum = 3670018;BA.debugLine="End Sub";
return 0;
}
@end