
#import "b4i_b4xpages.h"
#import "b4i_main.h"
#import "b4i_b4xmainpage.h"
#import "b4i_b4xbitset.h"
#import "b4i_b4xbytesbuilder.h"
#import "b4i_b4xcache.h"
#import "b4i_b4xcollections.h"
#import "b4i_b4xcomparatorsort.h"
#import "b4i_b4xorderedmap.h"
#import "b4i_b4xset.h"
#import "b4i_b4xpagesdelegator.h"
#import "b4i_b4xpagesmanager.h"


@implementation b4i_b4xpages 


+ (instancetype)new {
    static b4i_b4xpages* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 33;
}


- (NSString*)  _addpage:(NSString*) _id :(NSObject*) _b4xpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"addpage"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"addpage::" :@[[B4I nilToNSNull:_id],[B4I nilToNSNull:_b4xpage]]]);}
B4IRDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Public Sub AddPage (Id As String, B4XPage As Objec";
B4IRDebugUtils.currentLine=851969;
 //BA.debugLineNum = 851969;BA.debugLine="GetManager.AddPage(Id, B4XPage)";
[[self _getmanager] _addpage /*NSString**/ :nil :_id :_b4xpage];
B4IRDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="End Sub";
return @"";
}
- (b4i_b4xpagesmanager*)  _getmanager{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"getmanager"])
	 {return ((b4i_b4xpagesmanager*) [B4IDebug delegate:self.bi :@"getmanager" :nil]);}
B4IRDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Public Sub GetManager As B4XPagesManager";
B4IRDebugUtils.currentLine=589825;
 //BA.debugLineNum = 589825;BA.debugLine="Return mPM";
if (true) return (b4i_b4xpagesmanager*)(self->__mpm);
B4IRDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _addpageandcreate:(NSString*) _id :(NSObject*) _b4xpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"addpageandcreate"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"addpageandcreate::" :@[[B4I nilToNSNull:_id],[B4I nilToNSNull:_b4xpage]]]);}
B4IRDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Public Sub AddPageAndCreate (Id As String, B4XPage";
B4IRDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="GetManager.AddPageAndCreate(Id, B4XPage)";
[[self _getmanager] _addpageandcreate /*NSString**/ :nil :_id :_b4xpage];
B4IRDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _closepage:(NSObject*) _b4xpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"closepage"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"closepage:" :@[[B4I nilToNSNull:_b4xpage]]]);}
B4IRDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Public Sub ClosePage (B4XPage As Object)";
B4IRDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="GetManager.ClosePage (B4XPage)";
[[self _getmanager] _closepage /*NSString**/ :nil :_b4xpage];
B4IRDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="End Sub";
return @"";
}
- (B4IPage*)  _getnativeparent:(NSObject*) _b4xpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"getnativeparent"])
	 {return ((B4IPage*) [B4IDebug delegate:self.bi :@"getnativeparent:" :@[[B4I nilToNSNull:_b4xpage]]]);}
B4IRDebugUtils.currentLine=1310720;
 //BA.debugLineNum = 1310720;BA.debugLine="Public Sub GetNativeParent (B4XPage As Object) As";
B4IRDebugUtils.currentLine=1310722;
 //BA.debugLineNum = 1310722;BA.debugLine="Return GetManager.FindPIFromB4XPage(B4XPage).Pare";
if (true) return [[self _getmanager] _findpifromb4xpage /*_b4xpageinfo**/ :nil :_b4xpage]->_Parent /*_b4xpageparent**/ ->_NativeType /*B4IPage**/ ;
B4IRDebugUtils.currentLine=1310723;
 //BA.debugLineNum = 1310723;BA.debugLine="End Sub";
return nil;
}
- (NSObject*)  _getpage:(NSString*) _id{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"getpage"])
	 {return ((NSObject*) [B4IDebug delegate:self.bi :@"getpage:" :@[[B4I nilToNSNull:_id]]]);}
B4IRDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Public Sub GetPage (Id As String) As Object";
B4IRDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="Return GetManager.GetPage(Id)";
if (true) return [[self _getmanager] _getpage /*NSObject**/ :nil :_id];
B4IRDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _getpageid:(NSObject*) _b4xpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"getpageid"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"getpageid:" :@[[B4I nilToNSNull:_b4xpage]]]);}
B4IRDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Public Sub GetPageId (B4XPage As Object) As String";
B4IRDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Return GetManager.FindPIFromB4XPage(B4XPage).Id";
if (true) return [[self _getmanager] _findpifromb4xpage /*_b4xpageinfo**/ :nil :_b4xpage]->_Id /*NSString**/ ;
B4IRDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _internalsetpagesmanager:(NSObject*) _pm{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"internalsetpagesmanager"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"internalsetpagesmanager:" :@[[B4I nilToNSNull:_pm]]]);}
B4IRDebugUtils.currentLine=655360;
 //BA.debugLineNum = 655360;BA.debugLine="Public Sub InternalSetPagesManager(PM As Object)";
B4IRDebugUtils.currentLine=655361;
 //BA.debugLineNum = 655361;BA.debugLine="Delegate.Initialize";
[self->__delegate _initialize /*NSString**/ :nil :self.bi];
B4IRDebugUtils.currentLine=655362;
 //BA.debugLineNum = 655362;BA.debugLine="mPM = PM";
self->__mpm = _pm;
B4IRDebugUtils.currentLine=655363;
 //BA.debugLineNum = 655363;BA.debugLine="End Sub";
return @"";
}
- (BOOL)  _isinitialized{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"isinitialized"])
	 {return ((NSNumber*) [B4IDebug delegate:self.bi :@"isinitialized" :nil]).boolValue;}
B4IRDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Public Sub IsInitialized As Boolean";
B4IRDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="Return mPM Is B4XPagesManager";
if (true) return [self->__mpm isKindOfClass: [b4i_b4xpagesmanager class]];
B4IRDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="End Sub";
return false;
}
- (b4i_b4xmainpage*)  _mainpage{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"mainpage"])
	 {return ((b4i_b4xmainpage*) [B4IDebug delegate:self.bi :@"mainpage" :nil]);}
B4IRDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Public Sub MainPage As B4XMainPage";
B4IRDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="Return GetManager.MainPage";
if (true) return [self _getmanager]->__mainpage /*b4i_b4xmainpage**/ ;
B4IRDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _process_globals{
self->__main=[b4i_main new];
self->__b4xcollections=[b4i_b4xcollections new];
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"process_globals"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);}
B4IRDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub Process_Globals";
B4IRDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Private mPM As Object";
self->__mpm = [NSObject new];
B4IRDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="Public Delegate As B4XPagesDelegator";
self->__delegate = [b4i_b4xpagesdelegator new];
B4IRDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="Public GlobalContext As Object";
self->__globalcontext = [NSObject new];
B4IRDebugUtils.currentLine=458756;
 //BA.debugLineNum = 458756;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _settitle:(NSObject*) _b4xpage :(NSObject*) _title{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"settitle"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"settitle::" :@[[B4I nilToNSNull:_b4xpage],[B4I nilToNSNull:_title]]]);}
B4IRDebugUtils.currentLine=1179648;
 //BA.debugLineNum = 1179648;BA.debugLine="Public Sub SetTitle (B4XPage As Object, Title As O";
B4IRDebugUtils.currentLine=1179649;
 //BA.debugLineNum = 1179649;BA.debugLine="GetManager.SetTitle(B4XPage, Title)";
[[self _getmanager] _settitle /*NSString**/ :nil :_b4xpage :_title];
B4IRDebugUtils.currentLine=1179650;
 //BA.debugLineNum = 1179650;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _showpage:(NSString*) _id{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"showpage"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"showpage:" :@[[B4I nilToNSNull:_id]]]);}
B4IRDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Public Sub ShowPage (Id As String)";
B4IRDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="GetManager.ShowPage(Id)";
[[self _getmanager] _showpage /*NSString**/ :nil :_id];
B4IRDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _showpageandremovepreviouspages:(NSString*) _id{
B4IRDebugUtils.currentModule=@"b4xpages";
if ([B4IDebug shouldDelegate: @"showpageandremovepreviouspages"])
	 {return ((NSString*) [B4IDebug delegate:self.bi :@"showpageandremovepreviouspages:" :@[[B4I nilToNSNull:_id]]]);}
B4IRDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Public Sub ShowPageAndRemovePreviousPages (Id As S";
B4IRDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="GetManager.ShowPageAndRemovePreviousPages (Id)";
[[self _getmanager] _showpageandremovepreviouspages /*NSString**/ :nil :_id];
B4IRDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="End Sub";
return @"";
}
@end